package com.llisoft.pay.controller;

import javax.validation.Valid;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.llisoft.pay.service.ApiService;
import com.llisoft.pay.vo.ApiInfoRequestVo;
import com.llisoft.pay.vo.ApiInfoResponseVo;
import com.llisoft.pay.vo.ApiPayAliAppResponseVo;
import com.llisoft.pay.vo.ApiPayRequestVo;
import com.llisoft.pay.vo.ApiPayWxAppResponseVo;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

/**
 * 新版接口设计方案
 * 按产品拆分不同接口
 * @author YangJie [2023年12月20日]
 */
@Api(tags="青题库 支付API")
@RestController
@RequestMapping("/qingtiku")
public class ApiQingtikuController{
	
	@Autowired
	private ApiService apiService;
	
	
	@ApiOperation(value="青题库 微信支付 APP")
	@PostMapping("/wxpay/app")
	public ApiPayWxAppResponseVo qingtikuWxpayApp(@Valid @RequestBody ApiPayRequestVo requestVo) throws Exception{
		String appid = "wxfb2da083f9dfe038";
		return apiService.wxAppQinggu(appid, requestVo.getMoney(), requestVo.getTitle());
	}
	
	@ApiOperation(value="青题库 微信支付详情")
	@PostMapping("/wxpay/info")
	public ApiInfoResponseVo qingtikuWxpayInfo(@Valid @RequestBody ApiInfoRequestVo requestVo) throws Exception{
		return apiService.wxInfoQinggu(requestVo.getPid());
	}
	
	
	@ApiOperation(value="青题库 支付宝 APP")
	@PostMapping("/alipay/app")
	public ApiPayAliAppResponseVo qingtikuAlipayApp(@Valid @RequestBody ApiPayRequestVo requestVo) throws Exception{
		return apiService.aliAppQinggu(requestVo.getMoney(), requestVo.getTitle());
	}
	
	@ApiOperation(value="青题库 支付宝详情")
	@PostMapping("/alipay/info")
	public ApiInfoResponseVo qingtikuAlipayInfo(@Valid @RequestBody ApiInfoRequestVo requestVo) throws Exception{
		return apiService.aliInfoQinggu(requestVo.getPid());
	}
	
}