package com.llisoft.pay.util;

import java.math.BigDecimal;
import java.util.Objects;

/**
 * 小数工具类
 * @author YangJie [2020年4月15日]
 */
public class DecimalUtil {

	/**
	 * 转字符串 默认两位小数
	 * @param num
	 * @return
	 */
	public static String toString(int num) {
		return toString(num, 2);
	}

	/**
	 * 转字符串
	 * @param num
	 * @param size 指定几位小数
	 * @return
	 */
	public static String toString(int num, int size) {
		return new BigDecimal(num).divide(new BigDecimal(Math.pow(10, size))).toString();
	}
	
	/**
	 * 转数字 默认两位小数
	 * @param num
	 * @return
	 */
	public static int toInt(String num) {
		return toInt(num, 2);
	}
	
	/**
	 * 转数字 默认两位小数
	 * @param num
	 * @param size 指定几位小数
	 * @return
	 */
	public static int toInt(String num, int size) {
		if (Objects.isNull(num) || num.trim().isEmpty()) {
			return 0;
		}
		return new BigDecimal(num).multiply(new BigDecimal(Math.pow(10, size))).intValue();
	}
	
}