package com.llisoft.pay.vo;

import javax.validation.constraints.NotBlank;

import org.hibernate.validator.constraints.Range;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel("支付请求实体")
public class ApiPayRequestVo {

	@ApiModelProperty("支付金额（单位：分）")
	@Range(min=1, message="支付金额非法")
	private int money;
	
	@ApiModelProperty("商品标题，第三方支付页面显示")
	@NotBlank(message="商品标题不能为空")
    private String title;

	public int getMoney() {
		return money;
	}

	public void setMoney(int money) {
		this.money = money;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

}